Uploaded image for project: 'JBoss Enterprise Application Platform 6'
  1. JBoss Enterprise Application Platform 6
  2. JBPAPP6-1339

Some artifacts of EAP 6.0.1.ER1 depend on old jUnit 4.10-redhat-1 (should be -2)

This issue belongs to an archived project. You can view it, but you can't modify it. Learn more

    XMLWordPrintable

Details

    • Bug
    • Status: Closed
    • Major
    • Resolution: Done
    • EAP 6.0.1 ER 1
    • EAP 6.0.1 ER 3
    • Build
    • None

    Description

      When building the javadoc from EAP, using ER1 tag, and a command

      AS7/ozizka-git/build$ mvn javadoc:aggregate -PjavadocDist -Djavadoc.branding='JBoss Enterprise Application Platform 6.0.1.GA' -Dmaven.repo.local=../local-repo-eap -s ../tools/maven/conf/settings.xml

      , I get the following error:

      [ERROR] Unable to get dependency information for junit:junit:jar:4.10-redhat-1: Failed to process POM for junit:junit:jar:4.10-redhat-1: Non-resolvable parent POM for org.jboss:jboss-parent:8-redhat-1: Could not find artifact
      org.jboss.component.management:jboss-component-version-master:pom:6.0.0-redhat-1 in eap6-mirror-setting (http://download.lab.bos.redhat.com/brewroot/repos/jb-eap-6-rhel-6-build/latest/maven/)

      The cause is that something uses wrong jUnit - 4.10-redhat-1 instead of redhat-2.

      http://download.lab.bos.redhat.com/brewroot/repos/jb-eap-6-rhel-6-build/latest/maven/junit/junit/4.10-redhat-1/junit-4.10-redhat-1.pom

      Attachments

        Issue Links

          Activity

            People

              ozizka_jira Ondrej Zizka (Inactive)
              ozizka_jira Ondrej Zizka (Inactive)
              Archiver:
              samahaja@redhat.com Sagar Mahajan

              Dates

                Created:
                Updated:
                Resolved:
                Archived: